Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command
Class PageCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand
                      org.jboss.portal.core.model.portal.command.PageCommand

Direct Known Subclasses:
  ImportPageToDashboardCommand, RenderPageCommand, ViewPageCommand, WindowCommand

    public abstract class PageCommand

extends PortalCommand

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected Page` | `page` .

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`portal`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`PageCommand(PortalObjectId pageId)`

Method Summary
`Page` | `getPage()` Get the requested page
`protected abstract Page` | `initPage()`
`protected Portal` | `initPortal()`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`acquireResources, getPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`enforceSecurity, getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, execute, getContext, getControllerContext, getInfo, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### page

    protected Page page

  .

Constructor Detail

### PageCommand

    public PageCommand(PortalObjectId pageId)

Method Detail

### initPage

    protected abstract Page initPage()

### initPortal

    protected final Portal initPortal()

  Specified by:
    `initPortal` in class `PortalCommand`

### getPage

    public final Page getPage()

  Get the requested page

  Returns:
    the requested page

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD